English Amiga Board

English Amiga Board (http://eab.abime.net/index.php)
-   support.FS-UAE (http://eab.abime.net/forumdisplay.php?f=122)
-   -   Unhandled exception detected in thread MainThread: (http://eab.abime.net/showthread.php?t=98166)

tommywright 21 July 2019 03:36

[Solved] ImportError: /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5: symbol
 
I can't seem to find my old thread but it's been quite a while (many months) since I've been able to run fs-uae for one reason or another. Today the issue looks different so I thought I would post it and see if someone can help.<br />
<br />
I'm in Linux Mint 19 running the latest fs-uae as of today (3.0). <br />
<br />
Here is the terminal....<br />
<br />
Code:

tom@FatPunk:~$ fs-uae-launcher <br />
[LOGGING] Logging to /home/tom/Documents/FS-UAE/Cache/Logs/fs-uae-launcher.log.txt<br />
FS-UAE Launcher 3.0.0u1<br />
['/usr/bin/fs-uae-launcher']<br />
uname_result(system='Linux', node='FatPunk', release='4.15.0-44-generic', version='#47-Ubuntu SMP Mon Jan 14 11:26:59 UTC 2019', machine='x86_64', processor='x86_64')<br />
<br />
Unhandled exception detected in thread MainThread:<br />
&nbsp;&nbsp;ImportError:qt.py:&lt;module&gt;:15<br />
<br />
Traceback (most recent call last):<br />
&nbsp;&nbsp;File &quot;/usr/bin/fs-uae-launcher&quot;, line 113, in &lt;module&gt;<br />
&nbsp;&nbsp; &nbsp;main()<br />
&nbsp;&nbsp;File &quot;/usr/bin/fs-uae-launcher&quot;, line 110, in main<br />
&nbsp;&nbsp; &nbsp;launcher.apps.main()<br />
&nbsp;&nbsp;File &quot;/usr/share/fs-uae-launcher/launcher/apps/__init__.py&quot;, line 137, in main<br />
&nbsp;&nbsp; &nbsp;app_main()<br />
&nbsp;&nbsp;File &quot;/usr/share/fs-uae-launcher/launcher/apps/fs_uae_launcher.py&quot;, line 22, in app_main<br />
&nbsp;&nbsp; &nbsp;from launcher.launcherapp import LauncherApp<br />
&nbsp;&nbsp;File &quot;/usr/share/fs-uae-launcher/launcher/launcherapp.py&quot;, line 9, in &lt;module&gt;<br />
&nbsp;&nbsp; &nbsp;import fsui<br />
&nbsp;&nbsp;File &quot;/usr/share/fs-uae-launcher/fsui/__init__.py&quot;, line 5, in &lt;module&gt;<br />
&nbsp;&nbsp; &nbsp;from fsui.qt import *<br />
&nbsp;&nbsp;File &quot;/usr/share/fs-uae-launcher/fsui/qt/__init__.py&quot;, line 5, in &lt;module&gt;<br />
&nbsp;&nbsp; &nbsp;from fsui.qt.qt import (<br />
&nbsp;&nbsp;File &quot;/usr/share/fs-uae-launcher/fsui/qt/qt.py&quot;, line 15, in &lt;module&gt;<br />
&nbsp;&nbsp; &nbsp;from PyQt5.QtGui import *<br />
ImportError: /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5: symbol _ZNK11QLocaleData13validateCharsERK7QStringNS_10NumberModeEP10QByteArrayi6QFlagsIN7QLocale12NumberOptionEE version Qt_5 not defined in file libQt5Core.so.5 with link time reference<br />
<br />
<br />
Unhandled exception detected in thread MainThread:<br />
&nbsp;&nbsp;ImportError:qt.py:&lt;module&gt;:15<br />
<br />
Traceback (most recent call last):<br />
&nbsp;&nbsp;File &quot;/usr/bin/fs-uae-launcher&quot;, line 113, in &lt;module&gt;<br />
&nbsp;&nbsp; &nbsp;main()<br />
&nbsp;&nbsp;File &quot;/usr/bin/fs-uae-launcher&quot;, line 110, in main<br />
&nbsp;&nbsp; &nbsp;launcher.apps.main()<br />
&nbsp;&nbsp;File &quot;/usr/share/fs-uae-launcher/launcher/apps/__init__.py&quot;, line 137, in main<br />
&nbsp;&nbsp; &nbsp;app_main()<br />
&nbsp;&nbsp;File &quot;/usr/share/fs-uae-launcher/launcher/apps/fs_uae_launcher.py&quot;, line 22, in app_main<br />
&nbsp;&nbsp; &nbsp;from launcher.launcherapp import LauncherApp<br />
&nbsp;&nbsp;File &quot;/usr/share/fs-uae-launcher/launcher/launcherapp.py&quot;, line 9, in &lt;module&gt;<br />
&nbsp;&nbsp; &nbsp;import fsui<br />
&nbsp;&nbsp;File &quot;/usr/share/fs-uae-launcher/fsui/__init__.py&quot;, line 5, in &lt;module&gt;<br />
&nbsp;&nbsp; &nbsp;from fsui.qt import *<br />
&nbsp;&nbsp;File &quot;/usr/share/fs-uae-launcher/fsui/qt/__init__.py&quot;, line 5, in &lt;module&gt;<br />
&nbsp;&nbsp; &nbsp;from fsui.qt.qt import (<br />
&nbsp;&nbsp;File &quot;/usr/share/fs-uae-launcher/fsui/qt/qt.py&quot;, line 15, in &lt;module&gt;<br />
&nbsp;&nbsp; &nbsp;from PyQt5.QtGui import *<br />
ImportError: /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5: symbol _ZNK11QLocaleData13validateCharsERK7QStringNS_10NumberModeEP10QByteArrayi6QFlagsIN7QLocale12NumberOptionEE version Qt_5 not defined in file libQt5Core.so.5 with link time reference<br />
<br />
tom@FatPunk:~$ <br />


FrodeSolheim 21 July 2019 23:15

The relevant bit is this:

Code:

/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5: symbol _ZNK11QLocaleData13validateCharsERK7QStringNS_10NumberModeEP10QByteArrayi6QFlagsIN7QLocale12NumberOptionEE version Qt_5 not defined in file libQt5Core.so.5 with link time reference
It sounds like there is an issue with your Qt5 installation (libQt5Gui.so.5 does not work together with libQt5Core.so.5). Probably a version mismatch somehow. Try completely uninstalling your Qt5 installation and install again, and make sure you don't have a partial Qt5 installation in /usr/local or something, interfering with the one in /usr.

Alternatively, you can also download the generic Linux version from fs-uae.net, which comes bundled with its own Qt5 installation.

tommywright 22 July 2019 02:07

I fixed it! After many months and a ton of help from the AmigaLive Discord guys, here is the answer...

Delete a couple of simlinks

sudo rm /usr/lib/libQt5Core.so.5
sudo rm /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

Then add this link

sudo ln -s /usr/lib/x86_64-linux-gnu/libQt5Core.so.5.9.5 /usr/lib/libQt5Core.so.5


All times are GMT +2. The time now is 05:28.

Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2019, vBulletin Solutions Inc.

Page generated in 0.03919 seconds with 11 queries